
	.include	DOSCALL.MAC
	.include	IOCSCALL.MAC

Z_MUSIC	macro	func
	moveq.l	func,d1
	trap	#3
	endm

	.text
	.even

	lea.l	mysp,sp
	suba.l	a1,a1
	IOCS	_B_SUPER
	move.l	d0,-(sp)

	move.l	#-1,d1
	IOCS	_CRTMOD
	move.l	d0,-(sp)
	move.l	#$100+10,d1
	IOCS	_CRTMOD
	IOCS	_G_CLR_ON

	moveq.l	#2,d1
	IOCS	_B_CLR_ST
	IOCS	_B_CUROFF
	IOCS	_SP_INIT
	IOCS	_SP_ON
	IOCS	_MS_INIT
	moveq.l	#0,d1
	IOCS	_SKEY_MOD

	move.l	#1,d0
	bsr	se_play1

	lea.l	fname,a0
	lea.l	BUF,a1
	move.l	#128*1024,d1
	bsr	READ_FILE

	lea.l	BUF+8,a0
	lea.l	$C00000+512,a1
	move.l	#256-1,d1
LEAD:
	move.l	#256-1,d0
LEAD1:
	move.w	(a0)+,(a1)+
	dbra	d0,LEAD1
	lea.l	512(a1),a1
	dbra	d1,LEAD

	lea.l	fname1,a0
	lea.l	BUF,a1
	move.l	#128*1024,d1
	bsr	READ_FILE

	lea.l	BUF+8,a0
	lea.l	$C40000+512,a1
	move.l	#256-1,d1
LEAD2:
	move.l	#256-1,d0
LEAD3:
	move.w	(a0)+,(a1)+
	dbra	d0,LEAD3
	lea.l	512(a1),a1
	dbra	d1,LEAD2

	lea.l	sp_fname(pc),a0
	lea.l	SPR(pc),a1
	move.w	#384,d1
	bsr	READ_FILE


	lea.l	SPR(pc),a0
	lea.l	$eb8000,a1
	moveq.l	#96-1,d0
spdef01:
	move.l	(a0)+,(a1)+
	dbra	d0,spdef01

	lea.l	pal_fname(pc),a0
	lea.l	PAL(pc),a1
	moveq.l	#32,d1
	bsr	READ_FILE

	lea.l	PAL(pc),a0
	lea.l	$e82220,a1
	moveq.l	#8-1,d0
paldef01:
	move.l	(a0)+,(a1)+
	dbra	d0,paldef01


TITLE:
	move.w	#256,$e80018
	move.w	#256,$e8001c
	move.w	#0,$e8001a
	move.w	#0,$e8001e

	move.w	#120,$eb0010
	move.w	#170+10,$eb0012
	move.w	#%0000_0001_0000_0010,$eb0014
	move.w	#%0000_0000_0000_0011,$eb0016

TITLE1:
	IOCS	_MS_GETDT
	swap.w	d0
	cmpi.b	#0,d0
	beq	TITLE3
	bpl	TITLE1A
	bra	TITLE2A
TITLE1A:
	move.w	#120,$eb0010
	move.w	#204+10,$eb0012
	move.l	#1,d0
	bsr	se_play1
TITLE1C:
	addi.l	#$3800,d3
	bvc	TITLE1C
TITLE1B:
	IOCS	_MS_GETDT
	and.l	#$0000ff00,d0
	cmpi.w	#$ff00,d0
	beq	EXIT
	IOCS	_MS_GETDT
	swap.w	d0
	cmpi.b	#0,d0
	bmi	TITLE2
	bra	TITLE1B
TITLE2:
	move.w	#120,$eb0010
	move.w	#170+10,$eb0012
	move.l	#1,d0
	bsr	se_play1
TITLE2C:
	addi.l	#$3800,d3
	bvc	TITLE2C
TITLE2A:
	IOCS	_MS_GETDT
	and.l	#$0000ff00,d0
	cmpi.w	#$ff00,d0
	beq	TITLE3A
	IOCS	_MS_GETDT
	swap.w	d0
	cmpi.b	#0,d0
	bgt	TITLE1A
	bra	TITLE2A
TITLE3:
	IOCS	_MS_GETDT
	and.l	#$0000ff00,d0
	cmpi.w	#$ff00,d0
	beq	TITLE3A
	bra	TITLE1
TITLE3A:
	move.w	#%0000_0001_0000_0010,$eb0014
	move.w	#%0000_0000_0000_0000,$eb0016

	move.w	#0,$e80018
	move.w	#0,$e8001c

	move.l	#1,d0
	bsr	se_play1


	bsr	BOXLINE
	move.l	#0,d5
	bsr	SCR_INIT
	bsr	bgm_load
	bmi	EXIT
	moveq.l	#0,d0
	bsr	bgm

loop:
	bsr	MAINLOOP
	cmpi	#0,d6
	beq	sclear
	bra	DEAD_TST

loop1:
	moveq.l	#0,d1
	IOCS	_BITSNS
	btst.l	#1,d0
	beq	loop

EXIT:
	bsr	bgm_fo
	moveq.l	#-1,d1
	IOCS	_SKEY_MOD
	move.l	(sp)+,d1
	IOCS	_CRTMOD
	IOCS	_B_CURON
	move.l	(sp)+,a1
	IOCS	_B_SUPER
	DOS	_EXIT

sclear:
	move.l	#0,d0
	bsr	se_play1
	addq.w	#1,ziki_kazu
	add.w	#386,d5
	cmpi.w	#6176,d5
	bcc	clear
	bsr	SCR_INIT
	move.w	#128+8,ball_x
	move.w	#224+7,ball_y
	move.w	#224+7,old_y
	move.w	#1,b_m_x
	move.w	#0,b_m_y
	bra	loop1

MAINLOOP:
	bsr	BALL_S
	bsr	PDL_MOVE
	bsr	BALL_MOVE
	bsr	WAIT_DISP
	bsr	DISP_SPR
	rts

DEAD_TST:
	cmpi.w	#0,dead
	bne	DEAD_TST1
	bra	loop1
DEAD_TST1:
	cmpi.w	#0,ziki_kazu
	beq	DEAD_TST2
	move.w	#128+8,ball_x
	move.w	#224+7,ball_y
	move.w	#224+7,old_y
	move.w	#1,b_m_x
	move.w	#0,b_m_y
	move.w	#0,dead
	bra	loop1
DEAD_TST2:
	bsr	bgm_fo
	move.w	#240,$eb0002
	move.w	#%0000_0001_0000_0000,$eb0004
	move.w	#%0000_0000_0000_0000,$eb0006

	move.w	#240,$eb000A
	move.w	#%0000_0001_0000_0001,$eb000C
	move.w	#%0000_0000_0000_0000,$eb000E
	move.w	#0,dead
	move.w	#4,ziki_kazu
	bsr	SCR_INIT
	bra	TITLE

BALL_S:
	lea.l	b_m_y,a3
	cmpi.w	#0,(a3)
	beq	BALL_S1
	rts
BALL_S1:
	IOCS	_MS_GETDT
	and.l	#$0000ff00,d0
	cmpi.w	#$ff00,d0
	beq	BALL_S2
	rts
BALL_S2:
	move.w	#-5,(a3)
	rts

BALL_MOVE:
	lea.l	b_m_y,a3
	bsr	B_CHECK
	cmpi.w	#0,(a0)
	beq	ball_move5
	neg	(a3)
	cmpi.w	#$ff,(a0)
	beq	ball_move6
	bsr	B_FILL2
	subi.w	#1,d6
	move.l	#0,d0
	bsr	se_play1
	bra	ball_move5

ball_move6:
	move.l	#1,d0
	bsr	se_play1

ball_move5:
	lea.l	old_y,a4
	lea.l	ball_x,a0
	lea.l	b_m_x,a1
	lea.l	ball_y,a2

	move.w	(a2),(a4)
	move.w	(a1),d0
	add.w	d0,(a0)
	move.w	(a3),d0
	add.w	d0,(a2)

	cmpi.w	#224+7,(a2)
	bcs	ball_move0
	cmpi.w	#224+7,(a4)
	bcc	ball_move0

	move.w	(a2),d0
	subi.w	#224+7,d0
	muls.w	(a1),d0
	divs.w	(a3),d0
	move.w	(a0),d1
	sub.w	d0,d1

	move.w	pdl_x,d2
	move.w	d2,d3
	subi.w	#8,d2
	addi.w	#24,d3
	move.w	d1,(a0)
	cmp.w	(a0),d2
	bhi	ball_move0
	cmp.w	(a0),d3
	bcs	ball_move0

	move.w	#224+7,(a2)
	neg.w	(a3)
	add.w	#24,d2
	add.w	#8,d1
	sub.w	d2,d1

	bmi	bminus
	move.w	#1,d7
	bra	bminus1
bminus:
	move.w	#-1,d7
bminus1:
	asr.w	#2,d1
	add.w	d7,d1
	move.w	d1,(a1)
	move.l	#1,d0
	bsr	se_play1
	rts

ball_move0:
	cmpi.w	#196,(a0)
	bcs	ball_move1
	move.w	#196,(a0)
	neg.w	(a1)
ball_move1:
	cmpi.w	#80-5,(a0)
	bhi	ball_move2
	move.w	#80-5,(a0)
	neg.w	(a1)
ball_move2:
	cmpi.w	#32-4,(a2)
	bhi	ball_move3
	move.w	#32-4,(a2)
	neg.w	(a3)
ball_move3:
	cmpi.w	#280,(a2)
	bcs	ball_move4
	move.w	#1,dead
	lea.l	ziki_kazu,a1
	subq.w	#1,(a1)
ball_move4:
	rts

PDL_MOVE:
	IOCS	_MS_GETDT
	and.l	#$ff000000,d0
	rol.l	#8,d0
	move.w	pdl_x,d1
	add.b	d0,d1
	move.w	d1,pdl_x
	cmpi.w	#80,pdl_x
	bls	low_x
	cmpi.w	#176,pdl_x
	bcc	hi_x
	rts
low_x:
	move.w	#80,pdl_x
	rts
hi_x:
	move.w	#176,pdl_x
	rts

DISP_SPR:
	move.w	pdl_x,$eb0000
	move.w	#240,$eb0002
	move.w	#%0000_0001_0000_0000,$eb0004
	move.w	#%0000_0000_0000_0011,$eb0006

	move.w	pdl_x,d0
	addi.w	#16,d0
	move.w	d0,$eb0008
	move.w	#240,$eb000A
	move.w	#%0000_0001_0000_0001,$eb000C
	move.w	#%0000_0000_0000_0011,$eb000E

	move.w	ball_x,$eb0010
	move.w	ball_y,$eb0012
	move.w	#%0000_0001_0000_0010,$eb0014
	move.w	#%0000_0000_0000_0011,$eb0016

	move.w	#210,$eb0018
	move.w	#200,$eb001a
	move.w	#%0000_0001_0000_0010,$eb001c
	move.w	#%0000_0000_0000_0000,$eb001e

	move.w	#220,$eb0020
	move.w	#200,$eb0022
	move.w	#%0000_0001_0000_0010,$eb0024
	move.w	#%0000_0000_0000_0000,$eb0026

	cmpi.w	#1,ziki_kazu
	bhi	DISP_SPR1
	rts

DISP_SPR1:
	move.w	#210,$eb0018
	move.w	#200,$eb001a
	move.w	#%0000_0001_0000_0010,$eb001c
	move.w	#%0000_0000_0000_0011,$eb001e

	cmpi.w	#2,ziki_kazu
	bhi	DISP_SPR2
	rts

DISP_SPR2:
	move.w	#220,$eb0020
	move.w	#200,$eb0022
	move.w	#%0000_0001_0000_0010,$eb0024
	move.w	#%0000_0000_0000_0011,$eb0026
	rts

READ_FILE:
	clr.w	-(sp)
	pea.l	(a0)
	DOS	_OPEN
	addq.l	#6,sp
	move.l	d0,d2
	bmi	EXIT

	move.l	d1,-(sp)
	pea.l	(a1)
	move.w	d2,-(sp)
	DOS	_READ
	lea	10(sp),sp

	move.w	d2,-(sp)
	DOS	_CLOSE
	addq.w	#2,sp

	rts

WAIT_DISP:
	lea.l	$e88001,a0
	moveq.l	#4,d0
waitdisp1:
	btst.b	d0,(a0)
	beq	waitdisp1
waitdisp2:
	btst.b	d0,(a0)
	bne	waitdisp2
	rts

BOXLINE:
	lea.l	box_l,a1
	IOCS	_BOX
	rts

SCR_INIT:
	lea.l	$c04482,a0
	movea.l	a0,a2

	move.l	#24-1,d2
SCR_INIT01:
	movea.l	a2,a0
	moveq.l	#8-1,d1
SCR_INIT02:
	bsr	B_FILL2
	adda.l	#32,a0
	dbra	d1,SCR_INIT02

	adda.l	#1024*8,a2
	dbra	d2,SCR_INIT01


	moveq.l	#15,d7
	lea.l	$c04482,a0
	movea.l	a0,a2
	lea.l	men_dat1,a5
	adda.w	d5,a5
	move.w	384(a5),d6
	movea.l	a5,a4

	move.l	#24-1,d2
SCR_INIT1:
	movea.l	a2,a0
	moveq.l	#8-1,d1
SCR_INIT2:
	cmpi.w	#0,(a4)+
	beq	SCR_INIT3
	subq.l	#2,a4
	cmpi.w	#2,(a4)+
	beq	B_FILLW
SCR_INIT2A
	bsr	B_FILL
SCR_INIT3:
	adda.l	#32,a0
	dbra	d1,SCR_INIT2

	adda.l	#1024*8,a2
	dbra	d2,SCR_INIT1
	rts

B_FILL:
	movea.l	a0,a1
	moveq.l	#6-1,d0
	addq.l	#1,d7
B_FILL1:
	move.w	d7,(a1)
	move.w	d7,2(a1)
	move.w	d7,4(a1)
	move.w	d7,6(a1)
	move.w	d7,8(a1)
	move.w	d7,10(a1)
	move.w	d7,12(a1)
	move.w	d7,14(a1)
	move.w	d7,16(a1)
	move.w	d7,18(a1)
	move.w	d7,20(a1)
	move.w	d7,22(a1)
	move.w	d7,24(a1)
	move.w	d7,26(a1)
	adda.l	#1024,a1
	dbra	d0,B_FILL1
	rts

B_FILLW:
	movea.l	a0,a1
	moveq.l	#6-1,d0
*	addq.l	#1,d7
B_FILLW1:
	move.w	#$ff,(a1)
	move.w	#$ff,2(a1)
	move.w	#$ff,4(a1)
	move.w	#$ff,6(a1)
	move.w	#$ff,8(a1)
	move.w	#$ff,10(a1)
	move.w	#$ff,12(a1)
	move.w	#$ff,14(a1)
	move.w	#$ff,16(a1)
	move.w	#$ff,18(a1)
	move.w	#$ff,20(a1)
	move.w	#$ff,22(a1)
	move.w	#$ff,24(a1)
	move.w	#$ff,26(a1)
	adda.l	#1024,a1
	dbra	d0,B_FILLW1
	bra	SCR_INIT3

B_FILL2:
	movea.l	a0,a1
	moveq.l	#6-1,d0
B_FILL3:
	move.w	#0,(a1)
	move.w	#0,2(a1)
	move.w	#0,4(a1)
	move.w	#0,6(a1)
	move.w	#0,8(a1)
	move.w	#0,10(a1)
	move.w	#0,12(a1)
	move.w	#0,14(a1)
	move.w	#0,16(a1)
	move.w	#0,18(a1)
	move.w	#0,20(a1)
	move.w	#0,22(a1)
	move.w	#0,24(a1)
	move.w	#0,26(a1)
	adda.l	#1024,a1
	dbra	d0,B_FILL3

	rts

B_CHECK:
	move.w	ball_x,d0
	add.l	#8,d0
	lsr.l	#4,d0
	lsl.l	#4,d0
	sub.l	#16,d0
	lsl.l	#1,d0

	move.w	ball_y,d1
	lsr.l	#3,d1
	lsl.l	#3,d1
	sub.l	#8,d1
	lsl.l	#8,d1
	lsl.l	#2,d1

	move.l	#$c00000,d2
	add.l	#1026,d2
	add.l	d0,d2
	add.l	d1,d2
	movea.l	d2,a0
	rts

clear:
	bsr	bgm_fo

	move.w	#256,$e80018
	move.w	#256,$e8001c
	move.w	#256,$e8001a
	move.w	#256,$e8001e

	move.w	#240,$eb0002
	move.w	#%0000_0000_0000_0000,$eb0006
	move.w	#240,$eb000A
	move.w	#%0000_0000_0000_0000,$eb000E
	move.w	#%0000_0000_0000_0000,$eb0016
	move.w	#%0000_0000_0000_0000,$eb001E
	move.w	#%0000_0000_0000_0000,$eb0026

clear1:
	IOCS	_MS_GETDT
	and.l	#$0000ff00,d0
	cmpi.w	#$ff00,d0
	bne	clear1

	move.w	#256,$e80018
	move.w	#256,$e8001c
	move.w	#0,$e8001a
	move.w	#0,$e8001e

TIM:
	addi.l	#$1000,d3
	bvc	TIM

	move.w	#128+8,ball_x
	move.w	#224+7,ball_y
	move.w	#224+7,old_y
	move.w	#1,b_m_x
	move.w	#0,b_m_y
	move.w	#0,dead
	move.w	#3,ziki_kazu
	bsr	SCR_INIT
	bra	TITLE


bgm_load:
	lea.l	bgm_fname(pc),a0
	lea.l	bgm_buf(pc),a1
	move.w	#737,d1
	bsr	READ_FILE
	rts

bgm:
	movem.l	d0-d2/a0-a1,-(sp)
	add.w	d0,d0
	add.w	d0,d0
	lea	bgm_buf,a1
	add.w	#7,a1
	moveq.l	#0,d2
	Z_MUSIC	#$11
	movem.l	(sp)+,d0-d2/a0-a1
	rts

bgm_fo:
	movem.l	d0-d2/a0-a1,-(sp)
	moveq.l	#16,d2
	Z_MUSIC	#$1a
	movem.l	(sp)+,d0-d2/a0-a1
	rts

se_play1:
	movem.l	d0-d2/a0-a1,-(sp)
	add.w	d0,d0
	move.w	se_tbl(pc,d0.w),d0
	lea.l	se_tbl(pc,d0.w),a1
	moveq.l	#7,d2
	Z_MUSIC	#$12
	movem.l	(sp)+,d0-d2/a0-a1
	rts

	.data
	.even

se_tbl:
	.dc.w	se0-se_tbl
	.dc.w	se1-se_tbl
se0:
	.dc.b	$00,$01
	.dc.b	$00,$00,$00,$02
	.dc.b	$00,$07
	.dc.b	$a0,$0c,$b6,$05,$b3,$d1,$00,$00
	.dc.b	$00,$00,$e6,$00,$3c,$e8,$00,$18,$ff,$ff,$d6,$00,$03,$00,$00,$e0
	.dc.b	$39,$00,$0c,$ff,$ff,$00,$00,$00,$40,$00,$01,$45,$48,$ff,$e0,$45
	.dc.b	$00,$0c,$00,$0c,$00,$00,$ff,$c0,$00,$ff,$ff
	.dc.b	$80,$01,$01
	.even
se1:
	.dc.b	$00,$01
	.dc.b	$00,$00,$00,$02
	.dc.b	$00,$06
	.dc.b	$a0,$07,$b6,$02,$b3,$d1,$00,$00
	.dc.b	$00,$00,$64,$01,$ff,$73,$01,$ff,$54,$01,$ff,$56,$01,$ff,$70,$01
	.dc.b	$ff,$e0,$65,$00,$18,$00,$18,$00,$00,$00,$20,$00,$01,$b0,$ff
	.dc.b	$80,$01,$01
	.even

bgm_fn:	.dc.b	'rp.zmd',0
	.even

box_l:
	.dc.w	63,15,192,256,15,$ffff

men_dat0:
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0

men_dat1:
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,1,1,1,1
	.dc.w	0,0,0,0,1,1,1,1
	.dc.w	0,0,0,0,1,1,1,1
	.dc.w	0,0,0,0,1,1,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	32

men_dat2:
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,1,1,1,1,0,0
	.dc.w	0,1,1,1,1,1,1,0
	.dc.w	0,1,1,0,0,1,1,1
	.dc.w	0,1,1,0,0,1,1,1
	.dc.w	0,1,1,0,0,1,1,1
	.dc.w	0,1,1,0,0,1,1,0
	.dc.w	0,0,1,0,0,1,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	47

men_dat3:
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	0,1,0,0,0,0,0,0
	.dc.w	0,2,0,0,0,0,1,0
	.dc.w	0,1,0,0,1,0,2,0
	.dc.w	1,0,0,0,2,0,1,0
	.dc.w	2,0,0,0,1,1,0,0
	.dc.w	1,1,0,1,0,2,0,0
	.dc.w	0,2,0,2,0,1,0,0
	.dc.w	0,1,0,1,0,0,1,0
	.dc.w	0,0,0,0,0,0,2,0
	.dc.w	0,1,0,0,0,0,1,0
	.dc.w	0,1,0,0,0,1,0,0
	.dc.w	0,0,0,1,0,1,0,0
	.dc.w	0,0,0,1,0,0,0,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	23

men_dat4:
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	1,1,1,2,2,0,0,0
	.dc.w	1,1,1,0,0,0,0,0
	.dc.w	1,1,1,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	50

men_dat5:
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	0,0,0,0,2,2,2,2
	.dc.w	0,0,0,0,0,2,2,2
	.dc.w	1,1,1,0,0,0,2,2
	.dc.w	1,1,1,0,0,0,0,2
	.dc.w	1,1,1,1,0,0,0,0
	.dc.w	1,1,1,1,0,0,0,0
	.dc.w	1,1,1,1,1,0,0,0
	.dc.w	1,1,1,1,1,0,0,0
	.dc.w	1,1,1,1,1,1,0,0
	.dc.w	1,1,1,1,1,1,0,0
	.dc.w	1,1,1,1,1,1,1,0
	.dc.w	1,1,1,1,1,1,1,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	50

men_dat6:
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	1,1,0,0,0,0,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	76

men_dat7:
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,0,0,0,0,0,0,1
	.dc.w	1,0,1,1,1,1,0,1
	.dc.w	1,0,1,1,1,1,0,1
	.dc.w	1,0,1,1,1,1,0,1
	.dc.w	1,0,1,1,1,1,0,1
	.dc.w	1,0,2,2,2,2,0,1
	.dc.w	1,0,0,0,0,0,0,1
	.dc.w	1,0,0,0,0,0,0,1
	.dc.w	2,0,0,0,0,0,0,1
	.dc.w	2,1,1,0,0,1,1,1
	.dc.w	2,1,1,0,0,1,1,1
	.dc.w	2,2,2,0,0,2,2,2
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	1,0,0,1,1,0,0,1
	.dc.w	1,0,0,1,1,0,0,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	59

men_dat8:
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	1,1,1,0,0,1,1,1
	.dc.w	1,1,1,0,0,0,0,0
	.dc.w	1,1,1,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,1,1,1,0,0,0,0
	.dc.w	0,1,1,1,0,0,0,0
	.dc.w	0,1,1,1,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	1,1,1,0,1,1,1,1
	.dc.w	1,1,1,0,1,1,1,1
	.dc.w	66

men_dat9:
	.dc.w	1,1,1,2,2,2,2,2
	.dc.w	1,1,1,2,2,2,2,2
	.dc.w	1,1,1,2,2,1,1,1
	.dc.w	0,0,0,2,2,1,1,1
	.dc.w	1,1,1,2,2,0,0,0
	.dc.w	1,1,1,2,2,0,0,0
	.dc.w	1,1,1,2,2,0,0,0
	.dc.w	0,0,0,2,2,0,0,0
	.dc.w	1,1,1,2,2,0,0,0
	.dc.w	1,1,1,2,2,0,0,0
	.dc.w	1,1,1,2,2,0,0,0
	.dc.w	0,0,0,2,2,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	33

men_dat10
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	1,1,0,0,0,0,0,0
	.dc.w	1,1,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,1,1
	.dc.w	0,0,0,0,0,0,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,1,1,1,1,1,1,0
	.dc.w	0,1,1,1,1,1,1,0
	.dc.w	0,2,2,2,2,2,2,0
	.dc.w	0,1,0,1,1,0,1,0
	.dc.w	0,2,2,2,2,2,2,0
	.dc.w	0,1,1,1,1,1,1,0
	.dc.w	0,1,1,1,1,1,1,0
	.dc.w	0,0,1,0,1,0,1,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	39

men_dat11
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,0,0,0,1
	.dc.w	2,2,0,0,0,2,2,2
	.dc.w	0,0,0,2,2,2,2,2
	.dc.w	1,1,2,1,1,1,1,1
	.dc.w	1,0,0,0,0,0,0,0
	.dc.w	1,0,1,1,1,1,1,1
	.dc.w	1,0,1,1,1,1,1,1
	.dc.w	1,0,1,1,1,1,1,1
	.dc.w	1,0,1,1,1,1,1,1
	.dc.w	1,0,1,1,0,0,0,0
	.dc.w	1,0,1,1,0,1,1,1
	.dc.w	1,0,1,1,0,1,1,1
	.dc.w	1,0,1,1,0,1,1,1
	.dc.w	1,0,1,1,0,1,1,1
	.dc.w	1,0,1,1,0,1,1,1
	.dc.w	1,0,0,0,0,0,0,1
	.dc.w	1,0,0,0,0,0,0,1
	.dc.w	1,0,0,0,0,0,0,1
	.dc.w	1,0,0,0,0,0,0,1
	.dc.w	1,0,0,0,0,0,0,1
	.dc.w	1,0,0,0,0,0,0,1
	.dc.w	1,0,0,0,0,0,0,1
	.dc.w	1,0,0,0,0,0,0,1
	.dc.w	86

men_dat12
	.dc.w	0,1,1,1,0,0,0,0
	.dc.w	1,1,1,1,1,0,0,0
	.dc.w	2,2,2,2,2,0,0,0
	.dc.w	0,1,1,1,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,1,0,1,0,0
	.dc.w	0,0,1,1,1,1,1,0
	.dc.w	0,1,1,0,1,0,1,1
	.dc.w	0,0,1,1,1,1,1,0
	.dc.w	0,0,0,1,0,1,0,0
	.dc.w	0,0,1,0,0,0,1,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,1,0,0,0
	.dc.w	0,0,0,0,1,0,0,0
	.dc.w	0,0,0,0,1,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	1,1,1,0,0,1,1,1
	.dc.w	1,1,1,0,0,1,1,1
	.dc.w	1,0,1,0,0,1,0,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	51

men_dat13
	.dc.w	2,2,1,1,1,1,2,2
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	2,2,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,2,2
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,2
	.dc.w	2,2,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,2,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	2,2,1,1,1,1,2,2
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	120

men_dat14
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	2,2,2,0,0,2,2,2
	.dc.w	2,0,0,2,2,0,0,2
	.dc.w	2,0,0,0,2,2,0,2
	.dc.w	0,2,0,0,0,2,2,0
	.dc.w	0,2,2,0,0,0,2,0
	.dc.w	2,0,2,2,0,0,0,2
	.dc.w	2,0,0,2,2,0,0,2
	.dc.w	2,2,2,0,0,2,2,2
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,2,2,2,0,2,2,2
	.dc.w	0,2,0,0,0,2,0,2
	.dc.w	0,2,2,2,0,2,2,2
	.dc.w	0,2,0,2,0,2,0,2
	.dc.w	0,2,2,2,0,2,2,2
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	16

men_dat15
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	2,2,2,2,2,2,2,2
	.dc.w	1,1,1,0,0,1,1,1
	.dc.w	1,1,1,0,0,1,1,1
	.dc.w	1,1,1,0,0,0,0,0
	.dc.w	1,1,1,0,0,0,0,0
	.dc.w	1,1,1,0,0,0,0,0
	.dc.w	1,1,1,0,0,0,0,0
	.dc.w	1,1,1,2,2,0,0,1
	.dc.w	1,0,0,1,1,0,0,1
	.dc.w	1,0,0,1,1,0,0,1
	.dc.w	1,0,0,1,1,0,0,1
	.dc.w	1,0,0,1,1,0,0,1
	.dc.w	1,0,0,2,2,1,1,1
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	0,0,0,0,0,1,1,1
	.dc.w	1,1,1,0,0,1,1,1
	.dc.w	1,1,1,0,0,1,1,1
	.dc.w	2,2,2,0,0,2,2,2
	.dc.w	2,2,2,0,0,2,2,2
	.dc.w	72

men_dat16
	.dc.w	1,1,1,1,1,1,1,1
	.dc.w	2,2,2,1,1,2,2,2
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	1,0,0,0,1,1,1,0
	.dc.w	1,0,0,0,1,0,1,0
	.dc.w	1,0,0,0,1,1,1,0
	.dc.w	1,0,0,0,1,0,1,0
	.dc.w	1,1,1,0,1,0,1,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	0,1,1,1,0,1,1,1
	.dc.w	0,1,0,0,0,0,1,0
	.dc.w	0,1,1,1,0,0,1,0
	.dc.w	0,0,0,1,0,0,1,0
	.dc.w	0,1,1,1,0,0,1,0
	.dc.w	0,0,0,0,0,0,0,0
	.dc.w	1,1,2,1,1,1,2,1
	.dc.w	0,1,1,1,1,1,1,0
	.dc.w	0,2,1,1,2,1,1,0
	.dc.w	0,1,1,1,1,1,2,0
	.dc.w	0,1,2,1,1,1,1,0
	.dc.w	0,1,1,1,1,2,1,0
	.dc.w	0,1,1,2,1,1,1,0
	.dc.w	0,2,1,1,1,1,2,0
	.dc.w	0,1,1,1,2,1,1,0
	.dc.w	92

pdl_x:
	.dc.w	128
ball_x:
	.dc.w	128+8
ball_y:
	.dc.w	224+7
old_y:
	.dc.w	224+7
b_m_x:
	.dc.w	1
b_m_y:
	.dc.w	0
dead:
	.dc.w	0
ziki_kazu:
	.dc.w	3

sp_fname:
	.dc.b	'rp.sp',0
	.even
pal_fname:
	.dc.b	'rp.pal',0
	.even
bgm_fname:
	.dc.b	'rp.zmd',0
	.even
fname:
	.dc.b	'title.g',0
	.even

fname1:
	.dc.b	'end.g',0
	.even

omedeto:
	.dc.b	'@@@@@@@@@@@@@@NA`߂łƂIII',$0d,$0a,0
	.even


	.bss
	.even

bgm_buf:
	.ds.b	737
	.even

SPR:
	ds.b	384
	.even

PAL:
	ds.b	32
	.even
BUF:
	ds.b	128*1024
	.even

	.stack
	.even

mystack:
	.ds.l	256
mysp:
	.end
